Bug 169640 - Celestia contains 2 .desktop files
Celestia contains 2 .desktop files
Product: Fedora
Classification: Fedora
Component: celestia (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steven Pritchard
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2005-09-30 11:11 EDT by Kevin Kofler
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.4.0-1.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-11 20:18:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Kofler 2005-09-30 11:11:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90; H010818)

Description of problem:
Celestia installs both a celestia.desktop and a fedora-celestia.desktop. The fedora-celestia.desktop follows Fedora Extras guidelines, the celestia.desktop is presumably installed by the upstream tarball and doesn't follow the guidelines, in particular it contains no valid redhat-menus section and is therefore shown under "Other" in KDE. fedora-celestia.desktop displays under "Graphics".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Open the KDE menu.
2. Notice the duplicate entry for Celestia.
3. rpm -ql celestia and notice the 2 .desktop files.

Actual Results:  There's a duplicate entry, and rpm -ql celestia lists both a fedora-celestia.desktop and a celestia.desktop.

Expected Results:  There should be only fedora-celestia.desktop.

Additional info:

Please delete the upstream celestia.desktop as it doesn't contain a proper category.
Comment 1 Kevin Kofler 2005-09-30 11:13:04 EDT
Correction: I'm using celestia-1.3.2-3.i386.rpm. But anyway, the only 
difference between 1.3.2-3 and 1.3.2-4 is a rebuild.
Comment 2 Kyrre Ness Sjøbæk 2005-10-26 16:40:10 EDT
It also shows up in "others" in gnome, plus in "graphics".
Comment 3 Pat Suwalski 2005-10-27 16:42:27 EDT
As the upstream maintainer of this .desktop file, it is *properly* placed into
the "Other" catergory as per t he FreeDesktop spec. Celestia is not a graphics
program. Its primary function is not to edit pictures or show photographs.

In KDE, the really proper category would be scientific or educational, since KDE
has those. Gnome does not, so the category is "Other."
Comment 4 Kevin Kofler 2005-10-27 16:46:44 EDT
Put it wherever you want upstream, but Fedora doesn't use Other for any other 
package, so the Fedora package shouldn't put it there.

Note You need to log in before you can comment on or make changes to this bug.